Проблема с "rpm" пакетами (Не удаёться установить rpm пакеты)

Cent OS, Scientific Linux

Модераторы: broom, Модераторы разделов

Аватара пользователя
Kodo
Сообщения: 8

Проблема с "rpm" пакетами

Сообщение Kodo » 09.04.2005 22:26

Привет. Помогите мне пожалуйста с вот какой проблемой:

Не устанавливается ни один rpm пакет из всех мною опробованных на
Fedora Core2. Вхожу под root.

Пример:

#rpm -ivh Guppi-0.40.3-21.src.rpm

warning: Guppi-0.40.3-21.src.rpm : V3 DSA signature: NOKEY, key ID 4f2a6fd2
error: cannot create %sourcedir /usr/src/redhat/SOURCES

P.S.
Будте так благоразумны, если хотите помочь- не потрясайте своим багажом знаний в укор новичку ;)

Заранее благодарен.
жрущий
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Проблема с "rpm" пакетами

Сообщение serg_sk » 09.04.2005 22:55

Ну так попробуй сам создать такую диру
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Valerius
Бывший модератор
Сообщения: 1469
Статус: Отпетый КДЕ'шник

Re: Проблема с "rpm" пакетами

Сообщение Valerius » 10.04.2005 12:16

Для Kodo:
Пакеты .src.rpm это не бинарные пакеты, а исходники, их нужно не устанавливать, а пересобирать.
Вот так:

#rpm --rebuild пакет.src.rpm

После этого гдето в районе /usr/src/RPM/RPMS/ ищи бинарную рпм-ку (где конкретно - смотри внимательно вывод этой команды). А потом его уже можно ставить.
Естественно у тебя должны стоять компилятор, make и проч. Кстати, а зачем ты взял именно .src.rpm, неужели бинарной рпм-ки нету?
Свобода есть тонкая полоска между диктатурой и анархией.

---------------------
Mandriva Linux PowerPack 2006 (Cooker-нутая) / KDE-3.5.1
Спасибо сказали:

Аватара пользователя
Kodo
Сообщения: 8

Re: Проблема с "rpm" пакетами

Сообщение Kodo » 10.04.2005 16:03

При всём уважении к себе ;) я очень многого не понимаю в принципах такого "поблочного" взаимодействия одного с другим, причём корректного взаимодействия. Возможно, более глубокое понимание приходит в разборе исходников, что в свою очередь ведёт за собой знание языка С, которого у меня нет.

Поэтому я не могу ответить на вопрос, потому что не понимаю его... я не знаю
что такое .src и чем отличаются бинарные пакеты от исходников. Что нашёл- то и скачал без понимания. Совсем недавно я начал упорно пытаться освоить Линукс, читаю книжки, копошусь в интернете. В книге были приведены сайты с прогами для Линукс- вот и решил посмотреть, попробовать установить что-нибудь самостоятельно...

Не понимаю, rpm- это такой же gz или tar архив ? И почему в файлах применяются несколько сжатий gz, потом tar например ?
Как раскрыть файл .bz2 ?
Почему в основном всё "пихается" в /usr/src... ?

Не по теме: как сделать частоту обновления экрана 100Гц при 1280х1024, когда в списке мониторов в КДЕ настройке моего нету? Выбирал той же марки, но другую модель методом тыка с наиболее высокой частотой развёртки. Монитор и видяшка могут тянуть 1280х1024 - 120Гц

Японимаю, что задавать вопросы могу бесконечно, вы уж не серчайте на меня. "Дурак" может задать столько вопросов за час сколько "мудрец" не ответит за семь лет. В ковычках слова потому, что все эти словесные границы достаточно относительны.
Познание всё-таки неотъемлемая часть человека...

Спасибо за ответы.
жрущий
Спасибо сказали:

Аватара пользователя
Valerius
Бывший модератор
Сообщения: 1469
Статус: Отпетый КДЕ'шник

Re: Проблема с "rpm" пакетами

Сообщение Valerius » 10.04.2005 16:55

(Kodo @ Воскресенье, 10 Апреля 2005, 15:03) писал(а):Не понимаю, rpm- это такой же gz или tar архив ?

rpm - это не просто архив, это пакет, содержащий информацию о самом пакете, о зависимостях, цифровую подпись, контрольную сумму, а также пост- и прединсталяционные скрипты.
(Kodo @ Воскресенье, 10 Апреля 2005, 15:03) писал(а):И почему в файлах применяются несколько сжатий gz, потом tar например ?

tar сохраняет атрибуты файлов, но не сжимает, а gz и bz2 делают сжатие.
(Kodo @ Воскресенье, 10 Апреля 2005, 15:03) писал(а):Как раскрыть файл .bz2 ?

В конквероре можно просто в него войти как в подкаталог или в курсорном меню выбрать "распаковать". В консоли -
tar -jxvf файл.tar.bz2
а лучше man tar
(Kodo @ Воскресенье, 10 Апреля 2005, 15:03) писал(а):Почему в основном всё "пихается" в /usr/src

Что всё? У меня этот каталог почти пустой. В src (от слова source) обычно ложатся исходники.

зы. Очень рекомендую тебе почитать чего-нибуть о Линуксе, литературу здесь на форуме уже не раз обсуждали. Есть ещё такой хороший сайт - http://unix.ginras.ru Рекомендую :)

Valerius добавил в 10.04.2005 16:55

Про частоту обновления монитора поищи здесь на форуме - это уже пережёвывалось.
Свобода есть тонкая полоска между диктатурой и анархией.

---------------------
Mandriva Linux PowerPack 2006 (Cooker-нутая) / KDE-3.5.1
Спасибо сказали:

Аватара пользователя
alv
Бывший модератор
Сообщения: 7268
Статус: Пенсионер в законе
ОС: Cintu

Re: Проблема с "rpm" пакетами

Сообщение alv » 10.04.2005 17:48

И постарайтесь все же в одном посте не задавать два совершенно не связанных вопроса - о srpm и обновлении экрана, в данном случае.
Спасибо сказали:

Аватара пользователя
t.t
Бывший модератор
Сообщения: 7390
Статус: думающий о вечном
ОС: Debian, LMDE

Re: Проблема с "rpm" пакетами

Сообщение t.t » 10.04.2005 18:49

(Valerius @ Воскресенье, 10 Апреля 2005, 15:55) писал(а):tar сохраняет атрибуты файлов, но не сжимает, а gz и bz2 делают сжатие.
Если точнее, то tar пакует несколько файлов в один с сохранением оригинальных имён и атрибуции, а gzip/bzip2 занимаются сжатием, но только одного файла; посему они и используются вкупе для создания сжатых архивов из нескольких файлов.
(Valerius @ Воскресенье, 10 Апреля 2005, 15:55) писал(а):В консоли -
tar -jxvf файл.tar.bz2
а лучше man tar
Это если .tar.bz2 (или .tbz); если просто .bz2, то, соответственно, bunzip2 filename и man bunzip2.
¡иɯʎdʞ ин ʞɐʞ 'ɐнɔɐdʞǝdu qнεиж
Спасибо сказали:

Аватара пользователя
Bolverk
Бывший модератор
Сообщения: 1571
ОС: Cygwin

Re: Проблема с "rpm" пакетами

Сообщение Bolverk » 11.04.2005 04:08

Во-во, марш на unix.ginras.ru читать сагу (ссылка есть в прикрепленной теме-FAQ). Дядя Лёша не для того старался, чтобы в очередной раз все это обьяснять :)
Спасибо сказали:

Аватара пользователя
Kodo
Сообщения: 8

Re: Проблема с "rpm" пакетами

Сообщение Kodo » 15.04.2005 11:04

(Bolverk @ Понедельник, 11 Апреля 2005, 4:08) писал(а):Во-во, марш на unix.ginras.ru читать сагу (ссылка есть в прикрепленной теме-FAQ). Дядя Лёша не для того старался, чтобы в очередной раз все это обьяснять :)


Поддерживайте форум грамотно, никого никуда не "отсылая" (читайте моё сообщение в теме "отношение к новичкам")

Всем ответившим по существу- спасибо, разобрался более менее.
жрущий
Спасибо сказали:

Аватара пользователя
t.t
Бывший модератор
Сообщения: 7390
Статус: думающий о вечном
ОС: Debian, LMDE

Re: Проблема с "rpm" пакетами

Сообщение t.t » 15.04.2005 14:54

(Kodo @ Пятница, 15 Апреля 2005, 10:04) писал(а):Поддерживайте форум грамотно, никого никуда не "отсылая" (читайте моё сообщение в теме "отношение к новичкам")
Я прошу прощения, а что значит "грамотно" в вашем понимании? Т.к., насколько я понял, отправить на дружественный форуму сайт почитать базовую информацию -- это по-вашему неграмотно?
¡иɯʎdʞ ин ʞɐʞ 'ɐнɔɐdʞǝdu qнεиж
Спасибо сказали:

Аватара пользователя
Shurik
Сообщения: 415
ОС: Mandriva 2010.2

Re: Проблема с "rpm" пакетами

Сообщение Shurik » 20.04.2005 13:38

(t.t @ Пятница, 15 Апреля 2005, 14:54) писал(а):
(Kodo @ Пятница, 15 Апреля 2005, 10:04) писал(а):Поддерживайте форум грамотно, никого никуда не "отсылая" (читайте моё сообщение в теме "отношение к новичкам")
Я прошу прощения, а что значит "грамотно" в вашем понимании? Т.к., насколько я понял, отправить на дружественный форуму сайт почитать базовую информацию -- это по-вашему неграмотно?


Да конечно-же неграмотно!!!
Грамотно - это примерно так:
- Нажми кнопочку с шестерёночкой в KDE
- Выбери пункт такой-то
- Выбери подпункт такой-то
Откроется окошечко. Нажимаешь на кнопочку со стрелочкой - появляется меню В меню выбираешь то-то и то-то и потом нажимаешь "Применить". Потом "ОК" и закрываешь всё.
Вот оно и работает.

Вот примерно такие и есть грамотные ответы!
Спасибо сказали:

Аватара пользователя
Warderer
Модератор
Сообщения: 1054
Статус: киберпИнгвин на гусеничном ходу
ОС: Debian unstable

Re: Проблема с "rpm" пакетами

Сообщение Warderer » 20.04.2005 14:09

(Shurik @ Среда, 20 Апреля 2005, 13:38) писал(а):
(t.t @ Пятница, 15 Апреля 2005, 14:54) писал(а):
(Kodo @ Пятница, 15 Апреля 2005, 10:04) писал(а):Поддерживайте форум грамотно, никого никуда не "отсылая" (читайте моё сообщение в теме "отношение к новичкам")
Я прошу прощения, а что значит "грамотно" в вашем понимании? Т.к., насколько я понял, отправить на дружественный форуму сайт почитать базовую информацию -- это по-вашему неграмотно?


Да конечно-же неграмотно!!!
Грамотно - это примерно так:
- Нажми кнопочку с шестерёночкой в KDE
- Выбери пункт такой-то
- Выбери подпункт такой-то
Откроется окошечко. Нажимаешь на кнопочку со стрелочкой - появляется меню В меню выбираешь то-то и то-то и потом нажимаешь "Применить". Потом "ОК" и закрываешь всё.
Вот оно и работает.

Вот примерно такие и есть грамотные ответы!


Эх и нифига себе! На следующий чих он снова прибежит за ответом. Я готов ему читать вслух маны. И цена этому небольшая: всего 50$ в час + оплата разговора по мобиле. Обещаю читать громко, отчетливо и с выражением. Некоторые места по просьбе готов зачитывать дважды, а за дополнительные 50$ в час переводить на лету. Заодно это научит человека думать, что ему интереснее - платить мне эти деньги за саппорт, или-таки понять, что я ему читаю то, что у него уже есть на компьютере, найти это и научиться читать самому.
Читаю вслух с выражением маны - $50/ч + стоимость звонка. Настраиваю сервисы за Вас - $100/ч + стоимость выезда и проживания.
И восемь строк матом...(бесплатно)
Спасибо сказали:

Аватара пользователя
Kodo
Сообщения: 8

Re: Проблема с "rpm" пакетами

Сообщение Kodo » 13.05.2005 21:35

Спросите у себя, господа, для чего нужен форум, если он не нужен, так как любой человек вполне способен разобраться самостоятельно в проблеме, которую он сам себе создаёт. Вопрос в его осознанном выборе: искать или спросить затем искать. Вас не должна касаться причина, по которой любой человек не разобрался ! ...неужели так сложно уважать его также, как и себя..........
жрущий
Спасибо сказали:

Аватара пользователя
t.t
Бывший модератор
Сообщения: 7390
Статус: думающий о вечном
ОС: Debian, LMDE

Re: Проблема с "rpm" пакетами

Сообщение t.t » 13.05.2005 23:48

(Kodo @ Пятница, 13 Мая 2005, 20:35) писал(а):Спросите у себя, господа, для чего нужен форум, если он не нужен, так как любой человек вполне способен разобраться самостоятельно в проблеме, которую он сам себе создаёт. Вопрос в его осознанном выборе: искать или спросить затем искать. Вас не должна касаться причина, по которой любой человек не разобрался ! ...неужели так сложно уважать его также, как и себя..........
Потрудитесь, пожалуйста, ответить на моё вполне серьёзное сообщение, а не на тот откровенный стёб, который последовал за ним.
¡иɯʎdʞ ин ʞɐʞ 'ɐнɔɐdʞǝdu qнεиж
Спасибо сказали:

Аватара пользователя
Voland
Сообщения: 123
ОС: Ubuntu Linux

Re: Проблема с "rpm" пакетами

Сообщение Voland » 20.05.2005 23:25

Вопрос такой. Пытаюсь обновить gnome до 2.10. Пытаюсь установить пакеты, а мне пишет, что

Код: Выделить всё

ошибка: Неудовлетворенные зависимости:
        atk = 1.8.0 нужен для (установлен)atk-devel-1.8.0-2

На rpm -U --force никак не реагирет, выдает то же самое. Как с этим бороться?
Дистрибутив: Ubuntu Linux 8.10 kernel 2.6.27-11, Gnome 2.24.1
Linux user number 431730
Мой блог
Лучше быть, чем казаться...
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Проблема с "rpm" пакетами

Сообщение serg_sk » 20.05.2005 23:29

Для Voland:
Попробуй снести atk-devel-1.8.0-2, потом обнови atk и поставь atk-devel.
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Voland
Сообщения: 123
ОС: Ubuntu Linux

Re: Проблема с "rpm" пакетами

Сообщение Voland » 20.05.2005 23:33

Для serg_sk:
Нифига, говорит, что этот пакет нужен для дофига много пакетов.
Дистрибутив: Ubuntu Linux 8.10 kernel 2.6.27-11, Gnome 2.24.1
Linux user number 431730
Мой блог
Лучше быть, чем казаться...
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Проблема с "rpm" пакетами

Сообщение serg_sk » 20.05.2005 23:35

а если форсом?
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Voland
Сообщения: 123
ОС: Ubuntu Linux

Re: Проблема с "rpm" пакетами

Сообщение Voland » 20.05.2005 23:37

Вот что пишет

Код: Выделить всё

[root@superstar voland]# rpm -e --force atk*
rpm: принудительными могут быть только установка, обновление, удаление исходников и файла спецификации
Дистрибутив: Ubuntu Linux 8.10 kernel 2.6.27-11, Gnome 2.24.1
Linux user number 431730
Мой блог
Лучше быть, чем казаться...
Спасибо сказали:

Аватара пользователя
serg_sk
Бывший модератор
Сообщения: 2749
Статус: <3 Anime
ОС: Gentoo Linux <3

Re: Проблема с "rpm" пакетами

Сообщение serg_sk » 20.05.2005 23:39

Дык atk-devel с --force только попробуй.
Не ждали?! А я приперся!
Помойка Gentoo'шника
-------
Спасибо сказали:

Аватара пользователя
Voland
Сообщения: 123
ОС: Ubuntu Linux

Re: Проблема с "rpm" пакетами

Сообщение Voland » 20.05.2005 23:44

то же самое :(
Дистрибутив: Ubuntu Linux 8.10 kernel 2.6.27-11, Gnome 2.24.1
Linux user number 431730
Мой блог
Лучше быть, чем казаться...
Спасибо сказали:

Topper
Бывший модератор
Сообщения: 2086
Статус: Насильник бабушек-педофилок
ОС: Windows 10

Re: Проблема с "rpm" пакетами

Сообщение Topper » 20.05.2005 23:52

--nodeps
Хрю.
Спасибо сказали:

Аватара пользователя
t.t
Бывший модератор
Сообщения: 7390
Статус: думающий о вечном
ОС: Debian, LMDE

Re: Проблема с "rpm" пакетами

Сообщение t.t » 21.05.2005 02:13

(Voland @ Пятница, 20 Мая 2005, 22:25) писал(а):Вопрос такой. Пытаюсь обновить gnome до 2.10. Пытаюсь установить пакеты, а мне пишет, что

CODE
ошибка: Неудовлетворенные зависимости:
      atk = 1.8.0 нужен для (установлен)atk-devel-1.8.0-2


На rpm -U --force никак не реагирет, выдает то же самое. Как с этим бороться?
Я не понимаю А сам atk стоит? Какой версии?
¡иɯʎdʞ ин ʞɐʞ 'ɐнɔɐdʞǝdu qнεиж
Спасибо сказали:

Аватара пользователя
Voland
Сообщения: 123
ОС: Ubuntu Linux

Re: Проблема с "rpm" пакетами

Сообщение Voland » 21.05.2005 09:59

Для t.t:
Стоит версии 1.8.0
Для Topper:
Спасибо, попробую

Voland добавил в 21.05.2005 09:59

Поставил на свою голову. В результате X перестали стартовать.
Дистрибутив: Ubuntu Linux 8.10 kernel 2.6.27-11, Gnome 2.24.1
Linux user number 431730
Мой блог
Лучше быть, чем казаться...
Спасибо сказали: